<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
        $("#frm-login").on("submit", function(event){
            event.preventDefault();
            onFrmLoginSubmit();
        })
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm xử lý sự kiện submit form
    function onFrmLoginSubmit(){
        //b1: thu thập dữ liệu
        var vLoginObj = {
            firstname: "",
            lastname:"",
            email:"",
            password: "",
            password2:"",
            isAccept: false
        }
        getLoginData(vLoginObj);

        //b2: kiểm tra dữ liệu
        var vValid = validateLoginData(vLoginObj);
        if (vValid){
            //b3: hiển thị
            login(vLoginObj);
        }
        
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //thu thập dữ liệu
    function getLoginData(paramLoginObj){
        paramLoginObj.firstname = $("#inp-firstname").val();
        paramLoginObj.lastname = $("#inp-lastname").val();
        paramLoginObj.email = $("#inp-email").val().trim();
        paramLoginObj.password = $("#pwd-login-password").val().trim();
        paramLoginObj.password2 = $("#pwd-login-password2").val().trim();
        paramLoginObj.isAccept = $("#ckb-accept").is(":checked");
    };
    //kiểm tra dữ liệu login
    function validateLoginData(paramLoginObj){
        if (paramLoginObj.firstname == ""){
            alert ("Please input first name");
            $("#inp-firstname").focus();
            return false;
        } 
        if (paramLoginObj.lastname == ""){
            alert ("Please input last name");
            $("#inp-lastname").focus();
            return false;
        } 
        if (paramLoginObj.email == ""){
            alert ("Please input email");
            $("#inp-email").focus();
            return false;
        } 
        if (paramLoginObj.password == ""){
            alert ("Please input password");
            $("pwd-login-password").focus();
            return false;
        }
        if (paramLoginObj.password2 == ""){
            alert ("Please confirm password");
            $("pwd-login-password2").focus();
            return false;
        } 
        if (paramLoginObj.isAccept == false){
            alert ("Cannot sign up. Please accept terms of use and privacy policy");
            $("ckb-accept").focus();
            return false;
        } 
        if (paramLoginObj.password !== paramLoginObj.password2){
            alert ("Cannot sign up. Password does not match");
            $("pwd-login-password2").focus();
            return false;
        } 
        return true; 
    };
    //hàm thực hiện khi click nút login
    function login(paramLoginObj){
        console.log(paramLoginObj);
    }
</script>
<body>
    <div class="container">
        <form id="frm-login">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Sign up</h3>
                        <p class="text-secondary">Please fill in this form to create an account</p>
                    </div>
            
                    <div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-sm-6"> <input type="text" name="firstname" placeholder="First Name" id="inp-firstname"
                                    class="form-control" value="" autocomplete="firstname" required></div>
                                <div class="col-sm-6"><input type="text" name="lastname" placeholder="Last Name" id="inp-lastname"
                                    class="form-control" value="" autocomplete="lastname" required></div>
                            </div>                         
                        </div>
                        <div class="form-group">
                            <input name="email" type="text" id="inp-email" placeholder="Email" 
                             class="form-control" value="" autocomplete="inp-email" required>
                        </div>
                        <div class="form-group">
                            <input name="password" type="password" id="pwd-login-password" placeholder="Password" 
                             class="form-control" value="" autocomplete="inp-current-password" required>
                        </div>
                        <div class="form-group">
                            <input name="password2" type="password" id="pwd-login-password2" placeholder="Confirm Password" 
                             class="form-control" value="" autocomplete="inp-confirm-password" required>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="acceptterm" id="ckb-accept" class="form-check-input">
                            <label class="form-check-label" for="acceptterm">I accept the Terms of Use & Privacy Policy</label>
                            
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-log btn-info">Sign Up</button>
                        </div>
                    </div>

                </div>
            </div>
        </form>
    </div>
   
</body>

</html>